This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 991339

Summary: Review Request: rubygem-sdoc - RDoc generator to build searchable HTML documentation for Ruby code
Product: [Fedora] Fedora Reporter: Josef Stribny <jstribny>
Component: Package ReviewAssignee: Miroslav Suchý <msuchy>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: hhorak, msuchy, package-review, vondruch
Target Milestone: ---Flags: msuchy: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-20 08:04:22 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Josef Stribny 2013-08-02 03:55:07 EDT
Spec URL: http://data-strzibny.rhcloud.com/rubygem-sdoc.spec
SRPM URL: http://kojipkgs.fedoraproject.org//work/tasks/1123/5691123/rubygem-sdoc-0.3.20-1.fc20.src.rpm
Description: SDoc is simply a wrapper for the rdoc command line tool.
Fedora Account System Username: jstribny
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5691122

This is needed to generate a new Rails 4.0 application using `rails new` command.
Comment 1 Miroslav Suchý 2013-08-06 06:26:36 EDT
taking
Comment 2 Miroslav Suchý 2013-08-06 06:41:17 EDT
* description should end with dot (-doc subpackage).

* [Build]Requires: ruby(rubygems) >= 1.3.6
  Why is there the version? IMO you can remove the version safely.

* Files:
%{_bindir}/sdoc
%{_bindir}/sdoc-merge
are missing man page. Please either write man page yourself or file issue with upstream.
If you are not familier with man pages, I highly recommend asciidoc, where you can create man page very fast.

Beside this I see no problems.
Comment 3 Josef Stribny 2013-08-07 05:14:52 EDT
All fixed:

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5788826
Upstream pull request: https://github.com/voloko/sdoc/pull/49
Comment 4 Miroslav Suchý 2013-08-12 05:29:31 EDT
I would prefer rather if you would include those .asciidoc files.
That would mean that you have to:

BuildRequires:  asciidoc
BuildRequires:  libxslt
#if you plan to build for el5
%if 0%{?rhel} && 0%{?rhel} < 6
BuildRequires:  docbook-style-xsl
%endif

%build
a2x -d manpage -f manpage FOO.1.asciidoc

Additionally  %files section should be:
%doc %{_mandir}/man1/sdoc-merge.1*
%doc %{_mandir}/man1/sdoc.1*
as the extension can be changed in future to something else (e.g .xz)


warning: bogus date in %changelog: Wed Aug 06 2013 Josef Stribny <jstribny@redhat.com> - 0.3.20-2
Aug 06 was not Wednesday.

 rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/rails/resources/js/highlight.pack.js
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/rails/resources/panel/index.html
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/sdoc/resources/js/main.js
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/rails/_context.rhtml
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/rails/resources/js/jquery-effect.js
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/sdoc/resources/css/reset.css
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/sdoc/resources/js/jquery-1.3.2.min.js
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/rails/resources/css/main.css
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/sdoc/index.rhtml
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/sdoc/resources/panel/index.html
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/rails/file.rhtml
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/rails/resources/js/searchdoc.js
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/rails/class.rhtml
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/sdoc/resources/css/panel.css
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/sdoc/resources/js/highlight.pack.js
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/rails/resources/js/main.js
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/sdoc/_context.rhtml
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/sdoc/resources/css/main.css
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/rails/resources/js/jquery-1.3.2.min.js
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/rails/index.rhtml
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/sdoc/resources/js/jquery-effect.js
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/sdoc/file.rhtml
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/sdoc/class.rhtml
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/sdoc/resources/js/searchdoc.js
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/rails/resources/css/reset.css
rubygem-sdoc.noarch: E: script-without-shebang /usr/share/gems/gems/sdoc-0.3.20/lib/rdoc/generator/template/rails/resources/css/panel.css

You should probably 
  chmod a-x 
on these files.


Requires: rubygem(rdoc) => 3.10
Requires: rubygem(rdoc) < 4
This deps could not be met on current Fedora as in Fedora is: rubygem-rdoc-4.0.1-2.fc20
Comment 5 Josef Stribny 2013-08-12 06:11:41 EDT
Good catch,

there is an upstream issue[1] and pull request to handle this, but I can't say it's everything to be done. Let's see if it's merged in upstream, then it can be added as a patch.

[1] https://github.com/voloko/sdoc/pull/48
Comment 6 Josef Stribny 2013-11-11 06:21:38 EST
So I made a release candidate in the end to get this review going. You can read my post upstream [1] to see what have I done to make this work.

I tested this package with RDoc 4.0 generating Rails api doc as well as a huge documentation for Katello project as a simple test whether the package work.

When an official release it's ready, I will immediately update the package to reflect that.

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6144453
SRPM: http://kojipkgs.fedoraproject.org//work/tasks/4453/6144453/rubygem-sdoc-0.4.0-0.1.rc1.fc21.src.rpm

[1] https://github.com/voloko/sdoc/pull/48#issuecomment-27887125
Comment 7 Miroslav Suchý 2013-11-25 08:22:24 EST
I would rather prefer to use:
%doc %{_mandir}/man1/sdoc-merge.1*
%doc %{_mandir}/man1/sdoc.1*

and put README.md in main package. But that is just about preferences.

Everything else is good.

APPROVED.
Comment 8 Josef Stribny 2013-11-25 13:07:29 EST
Thank you for the review.


New Package SCM Request
=======================
Package Name: rubygem-sdoc
Short Description: RDoc generator to build searchable HTML documentation for Ruby code
Owners: jstribny
Branches:
InitialCC:
Comment 9 Jon Ciesla 2013-11-25 13:31:55 EST
Git done (by process-git-requests).
Comment 10 Vít Ondruch 2014-03-20 08:04:22 EDT
Already imported into Fedora.